App\Library\Amazon\Classes\Vehicles:
    xml_root_name: Vehicles
    properties:
        areBatteriesIncluded:
            expose: true
            access_type: public_method
            serialized_name: AreBatteriesIncluded
            accessor:
                getter: getAreBatteriesIncluded
                setter: setAreBatteriesIncluded
            type: boolean
        backSuspensionDescription:
            expose: true
            access_type: public_method
            serialized_name: BackSuspensionDescription
            accessor:
                getter: getBackSuspensionDescription
                setter: setBackSuspensionDescription
            type: string
        backWheelDescription:
            expose: true
            access_type: public_method
            serialized_name: BackWheelDescription
            accessor:
                getter: getBackWheelDescription
                setter: setBackWheelDescription
            type: string
        batteriesRequired:
            expose: true
            access_type: public_method
            serialized_name: BatteriesRequired
            accessor:
                getter: getBatteriesRequired
                setter: setBatteriesRequired
            type: boolean
        co2Emission:
            expose: true
            access_type: public_method
            serialized_name: Co2Emission
            accessor:
                getter: getCo2Emission
                setter: setCo2Emission
            type: App\Library\Amazon\Classes\EmissionsDimensionType
        cubicCapacity:
            expose: true
            access_type: public_method
            serialized_name: CubicCapacity
            accessor:
                getter: getCubicCapacity
                setter: setCubicCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        driveSystem:
            expose: true
            access_type: public_method
            serialized_name: DriveSystem
            accessor:
                getter: getDriveSystem
                setter: setDriveSystem
            type: string
        engineType:
            expose: true
            access_type: public_method
            serialized_name: EngineType
            accessor:
                getter: getEngineType
                setter: setEngineType
            type: string
        frontBrakeDescription:
            expose: true
            access_type: public_method
            serialized_name: FrontBrakeDescription
            accessor:
                getter: getFrontBrakeDescription
                setter: setFrontBrakeDescription
            type: string
        frontSuspensionDescription:
            expose: true
            access_type: public_method
            serialized_name: FrontSuspensionDescription
            accessor:
                getter: getFrontSuspensionDescription
                setter: setFrontSuspensionDescription
            type: string
        frontWheelDescription:
            expose: true
            access_type: public_method
            serialized_name: FrontWheelDescription
            accessor:
                getter: getFrontWheelDescription
                setter: setFrontWheelDescription
            type: string
        fuelCapacity:
            expose: true
            access_type: public_method
            serialized_name: FuelCapacity
            accessor:
                getter: getFuelCapacity
                setter: setFuelCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        fuelEconomyCity:
            expose: true
            access_type: public_method
            serialized_name: FuelEconomyCity
            accessor:
                getter: getFuelEconomyCity
                setter: setFuelEconomyCity
            type: App\Library\Amazon\Classes\FuelEconomyDimensionType
        fuelEconomyCombined:
            expose: true
            access_type: public_method
            serialized_name: FuelEconomyCombined
            accessor:
                getter: getFuelEconomyCombined
                setter: setFuelEconomyCombined
            type: App\Library\Amazon\Classes\FuelEconomyDimensionType
        fuelEconomyHighway:
            expose: true
            access_type: public_method
            serialized_name: FuelEconomyHighway
            accessor:
                getter: getFuelEconomyHighway
                setter: setFuelEconomyHighway
            type: App\Library\Amazon\Classes\FuelEconomyDimensionType
        fuelType:
            expose: true
            access_type: public_method
            serialized_name: FuelType
            accessor:
                getter: getFuelType
                setter: setFuelType
            type: string
        ignitionSystemType:
            expose: true
            access_type: public_method
            serialized_name: IgnitionSystemType
            accessor:
                getter: getIgnitionSystemType
                setter: setIgnitionSystemType
            type: string
        includesRechargableBattery:
            expose: true
            access_type: public_method
            serialized_name: IncludesRechargableBattery
            accessor:
                getter: getIncludesRechargableBattery
                setter: setIncludesRechargableBattery
            type: boolean
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        maximumHorsepower:
            expose: true
            access_type: public_method
            serialized_name: MaximumHorsepower
            accessor:
                getter: getMaximumHorsepower
                setter: setMaximumHorsepower
            type: App\Library\Amazon\Classes\HorsepowerDimensionType
        maximumRange:
            expose: true
            access_type: public_method
            serialized_name: MaximumRange
            accessor:
                getter: getMaximumRange
                setter: setMaximumRange
            type: App\Library\Amazon\Classes\RangeDimensionType
        maximumSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaximumSpeed
            accessor:
                getter: getMaximumSpeed
                setter: setMaximumSpeed
            type: App\Library\Amazon\Classes\SpeedDimensionType
        maximumTorque:
            expose: true
            access_type: public_method
            serialized_name: MaximumTorque
            accessor:
                getter: getMaximumTorque
                setter: setMaximumTorque
            type: App\Library\Amazon\Classes\TorqueType
        oemEquivalentPartNumber:
            expose: true
            access_type: public_method
            serialized_name: OemEquivalentPartNumber
            accessor:
                getter: getOemEquivalentPartNumber
                setter: setOemEquivalentPartNumber
            type: string
        rearBrakeDescription:
            expose: true
            access_type: public_method
            serialized_name: RearBrakeDescription
            accessor:
                getter: getRearBrakeDescription
                setter: setRearBrakeDescription
            type: string
        seatHeight:
            expose: true
            access_type: public_method
            serialized_name: SeatHeight
            accessor:
                getter: getSeatHeight
                setter: setSeatHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        targetAudience:
            expose: true
            access_type: public_method
            serialized_name: TargetAudience
            accessor:
                getter: getTargetAudience
                setter: setTargetAudience
            type: string
        transmissionType:
            expose: true
            access_type: public_method
            serialized_name: TransmissionType
            accessor:
                getter: getTransmissionType
                setter: setTransmissionType
            type: string
